## UDisksLinuxProvider

UDisksLinuxProvider — Provides Linux-specific objects

## Functions

UDisksLinuxProvider * | udisks_linux_provider_new ()
GUdevClient * | udisks_linux_provider_get_udev_client ()
gboolean | udisks_linux_provider_get_coldplug ()

## Signals

void | uevent-probed | Run Last

## Types and Values

| UDisksLinuxProvider

## Object Hierarchy

        GObject
        ╰── UDisksProvider
            ╰── UDisksLinuxProvider

## Description

This object is used to add/remove Linux specific objects of type UDisksLinuxBlockObject, UDisksLinuxDriveObject and UDisksLinuxMDRaidObject.

## Functions

### udisks_linux_provider_new ()

    UDisksLinuxProvider *
    udisks_linux_provider_new (UDisksDaemon *daemon);

Create a new provider object for Linux-specific objects / functionality.

#### Parameters

daemon | A UDisksDaemon. |

#### Returns

A UDisksLinuxProvider object. Free with `g_object_unref()`.

### udisks_linux_provider_get_udev_client ()

    GUdevClient *
    udisks_linux_provider_get_udev_client (UDisksLinuxProvider *provider);

Gets the GUdevClient used by `provider` .

#### Parameters

provider | A UDisksLinuxProvider. |

#### Returns

A GUdevClient owned by `provider` . Do not free.

### udisks_linux_provider_get_coldplug ()

    gboolean
    udisks_linux_provider_get_coldplug (UDisksLinuxProvider *provider);

Gets whether `provider` is in the coldplug phase.

#### Parameters

provider | A UDisksLinuxProvider. |

#### Returns

`TRUE` if in the coldplug phase, `FALSE` otherwise.

## Types and Values

### UDisksLinuxProvider

    typedef struct _UDisksLinuxProvider UDisksLinuxProvider;

The UDisksLinuxProvider structure contains only private data and should only be accessed using the provided API.

## Signal Details

### The `“uevent-probed”` signal

    void
    user_function (UDisksLinuxProvider *provider,
                   char                *action,
                   UDisksLinuxDevice   *device,
                   gpointer             user_data)

Emitted after the `device` is probed.

This signal is emitted in the thread-default main loop of the thread that `provider` was created in.

#### Parameters

provider | A UDisksProvider. |
action | The action for the uevent e.g. "add", "remove", "change", "move", "online" or "offline". |
device | The UDisksLinuxDevice that was probed. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last